[Security Announce] [ MDKSA-2006:068 ] - Updated mplayer packages fix integer overflow vulnerabilities
Posted on: 04/08/2006 01:22 AM

The Mandriva Security Team published a new security update for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2006:068
http://www.mandriva.com/security/
_______________________________________________________________________

Package : mplayer
Date : April 7, 2006
Affected: 2006.0, Corporate 3.0
_______________________________________________________________________

Problem Description:

Multiple integer overflows in MPlayer 1.0pre7try2 allow remote
attackers to cause a denial of service and trigger heap-based buffer
overflows via (1) a certain ASF file handled by asfheader.c that causes
the asf_descrambling function to be passed a negative integer after the
conversion from a char to an int or (2) an AVI file with a crafted
wLongsPerEntry or nEntriesInUse value in the indx chunk, which is
handled in aviheader.c.

The updated packages have been patched to prevent this problem.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1502
_______________________________________________________________________

Updated Packages:

Mandriva Linux 2006.0:
03c437640874758ea658eff341005320 2006.0/RPMS/libdha1.0-1.0-1.pre7.12.3.20060mdk.i586.rpm
a2b8e4aabaafd0c884eb659f6cd0feaf 2006.0/RPMS/libpostproc0-1.0-1.pre7.12.3.20060mdk.i586.rpm
d1676891039ac155896170842f97ed40 2006.0/RPMS/libpostproc0-devel-1.0-1.pre7.12.3.20060mdk.i586.rpm
28fca9318c85691868955113a8c7808b 2006.0/RPMS/mencoder-1.0-1.pre7.12.3.20060mdk.i586.rpm
7c16c92c8ed358e216dacab0b018278b 2006.0/RPMS/mplayer-1.0-1.pre7.12.3.20060mdk.i586.rpm
5a3ff20ed2086148e600d0f1a88e1ef2 2006.0/RPMS/mplayer-gui-1.0-1.pre7.12.3.20060mdk.i586.rpm
b427ac400ce812c26d4a72b9fb0dd20c 2006.0/SRPMS/mplayer-1.0-1.pre7.12.3.20060mdk.src.rpm

Mandriva Linux 2006.0/X86_64:
e0e4cfa862c584978ed8ac02f2be19a0 x86_64/2006.0/RPMS/lib64postproc0-1.0-1.pre7.12.3.20060mdk.x86_64.rpm
a12a7da30ba364ded2558b17ce961ca9 x86_64/2006.0/RPMS/lib64postproc0-devel-1.0-1.pre7.12.3.20060mdk.x86_64.rpm
a0716acb06f3473646a6077f8fb0684c x86_64/2006.0/RPMS/mencoder-1.0-1.pre7.12.3.20060mdk.x86_64.rpm
2e1e0b7cd6ce8c13f80d4de208550268 x86_64/2006.0/RPMS/mplayer-1.0-1.pre7.12.3.20060mdk.x86_64.rpm
74e8472e651326cf569f912c76548a80 x86_64/2006.0/RPMS/mplayer-gui-1.0-1.pre7.12.3.20060mdk.x86_64.rpm
b427ac400ce812c26d4a72b9fb0dd20c x86_64/2006.0/SRPMS/mplayer-1.0-1.pre7.12.3.20060mdk.src.rpm

Corporate 3.0:
e96a39ec87ce97b97a3ccc10b7ea80cc corporate/3.0/RPMS/libdha0.1-1.0-0.pre3.14.7.C30mdk.i586.rpm
6466d0a2b2a01ddf3bb4d25f477e8fb6 corporate/3.0/RPMS/libpostproc0-1.0-0.pre3.14.7.C30mdk.i586.rpm
ac89e6c99a5f83217bf0633661d035e1 corporate/3.0/RPMS/libpostproc0-devel-1.0-0.pre3.14.7.C30mdk.i586.rpm
301733fd13558987b64c3404cbe992d6 corporate/3.0/RPMS/mencoder-1.0-0.pre3.14.7.C30mdk.i586.rpm
ff5e64d0353c5047711b71a472816b20 corporate/3.0/RPMS/mplayer-1.0-0.pre3.14.7.C30mdk.i586.rpm
92337dd6b2c24822e0473a9f89680163 corporate/3.0/RPMS/mplayer-gui-1.0-0.pre3.14.7.C30mdk.i586.rpm
70e6a51230bf28e9215b0036f3290d55 corporate/3.0/SRPMS/mplayer-1.0-0.pre3.14.7.C30mdk.src.rpm

Corporate 3.0/X86_64:
7d84b489e9df376ef008a309f0da66c7 x86_64/corporate/3.0/RPMS/lib64postproc0-1.0-0.pre3.14.7.C30mdk.x86_64.rpm
f9003ffa5f6b32b6d677208d71bebf11 x86_64/corporate/3.0/RPMS/lib64postproc0-devel-1.0-0.pre3.14.7.C30mdk.x86_64.rpm
5363a56acd413b4e93f22897eaf38c2b x86_64/corporate/3.0/RPMS/mencoder-1.0-0.pre3.14.7.C30mdk.x86_64.rpm
1c493d2eddd5cc94b1d32cdc52f16ca1 x86_64/corporate/3.0/RPMS/mplayer-1.0-0.pre3.14.7.C30mdk.x86_64.rpm
b58a53a83e69fc98a739c447272c2174 x86_64/corporate/3.0/RPMS/mplayer-gui-1.0-0.pre3.14.7.C30mdk.x86_64.rpm
70e6a51230bf28e9215b0036f3290d55 x86_64/corporate/3.0/SRPMS/mplayer-1.0-0.pre3.14.7.C30mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFENrGJmqjQ0CJFipgRAsfYAKDZQDuekBTFG7PkVGgkxcb0mUoq2QCff87M
R3mkFIQc01Y93nlu56TQ/wo=
=RwtP
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/security_announce_mdksa_2006068__updated_mplayer_packages_fix_integer_overflow_vulnerabilities.html)